For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETGet current API key
      • GETList API keys
      • POSTCreate a new API key
      • GETGet a single API key
      • DELDelete an API key
      • PATCHUpdate an API key
LogoLogo
ModelsChatRankingsDocs
API ReferenceAPI Keys

List API keys

GET
https://openrouter.ai/api/v1/keys
GET
/api/v1/keys
$curl https://openrouter.ai/api/v1/keys \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "byok_usage": 17.38,
5 "byok_usage_daily": 17.38,
6 "byok_usage_monthly": 17.38,
7 "byok_usage_weekly": 17.38,
8 "created_at": "2025-08-24T10:30:00Z",
9 "creator_user_id": "user_2dHFtVWx2n56w6HkM0000000000",
10 "disabled": false,
11 "hash": "f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943",
12 "include_byok_in_limit": false,
13 "label": "Production API Key",
14 "limit": 100,
15 "limit_remaining": 74.5,
16 "limit_reset": "monthly",
17 "name": "My Production Key",
18 "updated_at": "2025-08-24T15:45:00Z",
19 "usage": 25.5,
20 "usage_daily": 25.5,
21 "usage_monthly": 25.5,
22 "usage_weekly": 25.5,
23 "workspace_id": "0df9e665-d932-5740-b2c7-b52af166bc11",
24 "expires_at": "2027-12-31T23:59:59Z"
25 }
26 ]
27}

List all API keys for the authenticated user. Management key required.

Was this page helpful?
Previous

Create a new API key

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Query parameters

include_disabledstringOptional
Whether to include disabled API keys in the response
offsetintegerOptional>=0
Number of API keys to skip for pagination
workspace_idstringOptionalformat: "uuid"
Filter API keys by workspace ID. By default, keys in the default workspace are returned.

Response

List of API keys
datalist of objects
List of API keys

Errors

401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error